%define  patch_name kernel-fix-fs

Name: %patch_name
Version: 2004.02.01
Release: alt1

Summary: %patch_name kernel patch - general fixes for filesystem drivers
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  1	01_ext3_fs_priority.patch
%source  2	02_iocharset-ign.patch
%source  3	03_quota-license.patch
%source  4	04_block_read_full_page.patch
%source  5	05_inodes_stat-locking.patch
%source  6	06_kupdated-sigstop-fix.patch
%source  7	07_do_proc_readlink-leak.patch
%source  8	08_quota_v1-overflow.patch
%source  9	09_exec_mmap-race.patch
%source 10	10_nfs-async-deadlock.patch
%source 11	11_lockd-deadlock.patch
%source 12	12_minix-corruption.patch
%source 13	13_dquot-stats.patch
%source 15	15_alt-iso9660-options.patch
%source 16	16_remove-flock-accounting.patch
%source 17	17_end_buffer_io_kiobuf-locking.patch
%source 18	18_fsync-race.patch
%source 19	19_dcache-seekdir-oops.patch
%source 20	20_ext3-quota-deadlock.patch
%source 21	21_tmpfs-readdir-atime.patch
%source 22	22_hfs-oops.patch
%source 23	23_mount-options-overrun.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
General fixes for filesystem drivers

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sun Feb 01 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.01-alt1
- Added:
  + 23_mount-options-overrun.patch: Avoid buffer overrun in mount options
    parsing.

* Sun Jan 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.25-alt1
- Added:
  + 19_dcache-seekdir-oops.patch: Fix tmpfs seekdir oops.
  + 20_ext3-quota-deadlock.patch: Fix ext3 quota deadlock.
  + 21_tmpfs-readdir-atime.patch: Make tmpfs readdir update atime.
  + 22_hfs-oops.patch: Fix hfs oops with non-512 byte sectors (CD-ROM).
- Removed:
  + 14_inode-hash-race-fix.patch (can cause deadlock on SMP).

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 16_remove-flock-accounting.patch: Remove broken file lock
    accounting.
  + 17_end_buffer_io_kiobuf-locking.patch: Fix end_buffer_io_kiobuf()
    locking.
  + 18_fsync-race.patch: Fix potential fsync() race condition.

* Fri Nov 21 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.21-alt1
- Added:
  + 15_alt-iso9660-options.patch: Fix iso9660 mount options handling (all
    options after iocharset/map/session were silently ignored).

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.18-alt1
- Added:
  + 13_dquot-stats.patch: Fix quota stats accounting bug.
  + 14_inode-hash-race-fix.patch: Fix races between deleting inode (through
    iput() or prune_icache()) and getting the same inode through iget().

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Added:
  + 05_inodes_stat-locking.patch
  + 06_kupdated-sigstop-fix.patch
  + 07_do_proc_readlink-leak.patch
  + 08_quota_v1-overflow.patch
  + 09_exec_mmap-race.patch
  + 10_nfs-async-deadlock.patch
  + 11_lockd-deadlock.patch
  + 12_minix-corruption.patch

* Sun Oct 26 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.26-alt1
- Renamed patch files (added numeric prefixes to enforce apply ordering).
- Added 04_block_read_full_page.patch - Handle get_block errors correctly in
  block_read_full_page().

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added quota-license.patch: add MODULE_LICENSE("GPL") to quota_v2.

* Tue Jul 15 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.07.15-alt1
- added patch that puts ext3 before ext2 filesystem list, so that ext3 probed
  first.

* Tue Jul 08 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.07.08-alt1
- initial release.

